Retrieve the agents list

Encoding : UTF-8

Authentication

Your 'api-key' and 'api-login' identifiers must be added in the headers.

Definition

This web service allows you to retrieve the list of agents.

Server Response Example in JSON

Success

[
 {
  "email": "[email protected]",
  "first_name": "fname",
  "last_name": "lname",
  "role": "ROLE_AGENT",
  "status": "invited",
  "is_current_user": false,
  "created_at": "2024-10-02T08:37:41+02:00",
  "last_authentication_date": null,
  "can_consume_credit": true,
  "system_avatar": null,
  "is_allowed_to_manage_foreign_conversations": true,
  "can_order": true,
  "is_only_chat_visible": false
 },
 {
  "email": "[email protected]",
  "first_name": "John",
  "last_name": "Doe",
  "role": "ROLE_OWNER",
  "status": "active",
  "is_current_user": true,
  "created_at": "2024-06-30T05:08:26+02:00",
  "last_authentication_date": null,
  "can_consume_credit": true,
  "system_avatar": null,
  "is_allowed_to_manage_foreign_conversations": true,
  "can_order": true,
  "is_only_chat_visible": false
 }
]
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized.

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json